EDIT - bug #6045

NPE when using TaxonNaturalComparator
08/30/2016 04:05 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

When sorting a taxon hierarchy like the following:

/*
* Classification
* * Abies

* - Abies alba
* * Pinus

* "= Pinus pampa
=/

the comparator throws an NPE when sorting Abies alba and Pinus pampa.

Associated revisions

Revision efc96b49 - 08/30/2016 04:08 PM - Patrick Plitzner
ref #6045 Fix NPE for TaxonNaturalComparator

o fix getAncestors() method of taxon node
¢ added JUnit test

Revision 255a28af - 08/31/2016 02:52 PM - Katja Luther

fix #6045: fixing the NaturalOrderComparator and complete the test

Revision 97b2fabe - 08/31/2016 05:46 PM - Patrick Plitzner
ref #6045 Add test for getAncestor()

Revision e13674¢3 - 09/07/2016 11:11 AM - Patrick Plitzner

ref #6045 some comments and clean up

Revision aa478e85 - 10/07/2016 10:22 AM - Patrick Plitzner
ref #6045 Fix NPE for TaxonNaturalComparator

e fix getAncestors() method of taxon node
¢ added JUnit test

Revision 889c7e91 - 10/07/2016 10:22 AM - Katja Luther

fix #6045: fixing the NaturalOrderComparator and complete the test

Revision 2f495573 - 10/07/2016 10:22 AM - Patrick Plitzner
ref #6045 Add test for getAncestor()

Revision 13755e6f - 10/07/2016 10:22 AM - Patrick Plitzner

ref #6045 some comments and clean up

History

#2 - 08/30/2016 04:11 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther

The NPE should be fixed with the attached revision. But | am not sure what the correct natural ordering of taxa looks like.

@Katja: Could you implement the missing check for the correct order in the test

eu.etaxonomy.cdm.api.service.TaxonNodeServicelmplTest.testCompareNaturalOrder()?

#4 - 09/01/2016 07:34 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset edit-svn|r28904.

#5 - 09/05/2016 09:24 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

please review, the sort order should depend on the sortindex of the taxonnode

#6 - 09/07/2016 07:14 AM - Patrick Plitzner
- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Katja Luther

#7 - 09/26/2016 04:59 PM - Andreas Miuller

- Category changed from cdm to cdmlib
